/*
 * Copyright (c) 2024.
 * Luc Bergevin, tous droits réservés.
 * Créé le 2024-06-05 19 h 07
 */

package com.lucbergevin;

import javax.swing.*;
import java.awt.*;

public class ImageScaler implements ImageIconFactory {

	private final int _divider;

	public ImageScaler(int divider) {
		_divider = divider;
	}

	public ImageIcon getIconFromImage(String imageFile) {
		ImageIcon original = new ImageIcon(imageFile);
		ImageIcon modified = new ImageIcon(original.getImage().getScaledInstance(original.getIconWidth() / _divider,
																				 original.getIconHeight() / _divider,
																				 Image.SCALE_DEFAULT));
		return modified;
	}
}
